package com.cloud.kicc.common.core.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 *<p>
 * cas系统枚举
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/8/16
 */
@Getter
@RequiredArgsConstructor
public enum CasSystemEnum {

	/**
	 * sso认证系统
	 */
	KICC("KICC", "主kicc系统"),

	/**
	 * 子系统1
	 */
	KICS("KICS", "子系统1"),

	/**
	 * 子系统2
	 */
	KLAB("KLAB", "子系统2");

	/**
	 * 名称
	 */
	private final String name;

	/**
	 * 描述
	 */
	private final String description;

}
