package com.klab.security.common.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Getter;
import org.springframework.security.oauth2.common.exceptions.OAuth2Exception;

/**
 *<p>
 * 自定义OAuth2Exception
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/2/17
 */
public class KiccAuth2Exception extends OAuth2Exception {

	@Getter
	private String errorCode;

	public KiccAuth2Exception(String msg) {
		super(msg);
	}

	public KiccAuth2Exception(String msg, Throwable t) {
		super(msg, t);
	}

	public KiccAuth2Exception(String msg, String errorCode) {
		super(msg);
		this.errorCode = errorCode;
	}

}
