

package com.klab.security.common.override.jackson2;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 *<p>
 * 反序列化扩展SSO用户权限
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/8/19
 */
@JsonAutoDetect(fieldVisibility = JsonAutoDetect.Visibility.NONE,
				getterVisibility = JsonAutoDetect.Visibility.PUBLIC_ONLY,
				isGetterVisibility = JsonAutoDetect.Visibility.NONE)
@JsonIgnoreProperties(ignoreUnknown = true)
public abstract class SimpleGrantedAuthorityMixin {

	/**
	 * Mixin Constructor.
	 * @param role the role
	 */
	@JsonCreator
	public SimpleGrantedAuthorityMixin(@JsonProperty("authority") String role) {
	}

}
